Bug 811762 - (CVE-2012-2095) CVE-2012-2095 wicd: broken filtering leads to arbitrary code execution
CVE-2012-2095 wicd: broken filtering leads to arbitrary code execution
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120411,repor...
: Security
Depends On: 811763 811764
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 18:41 EDT by Vincent Danen
Modified: 2012-05-09 15:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-04-11 18:41:38 EDT
It was reported [1],[2] that wicd suffered from a local privilege escalation flaw due to incomplete input sanitization.  A local attacker could use this to inject arbitrary code through the DBus interface.

This has been corrected upstream [3] in the 1.7.2 release [4].

[1] http://seclists.org/fulldisclosure/2012/Apr/123
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=668397
[3] http://bazaar.launchpad.net/~wicd-devel/wicd/experimental/revision/751
[4] https://launchpad.net/wicd/+announcement/9888
Comment 1 Vincent Danen 2012-04-11 18:42:55 EDT
Created wicd tracking bugs for this issue

Affects: fedora-all [bug 811763]
Affects: epel-6 [bug 811764]
Comment 2 Fedora Update System 2012-04-24 00:27:56 EDT
wicd-1.7.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-04-24 10:51:17 EDT
wicd-1.7.0-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-04-24 11:00:22 EDT
wicd-1.7.0-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-09 15:13:25 EDT
wicd-1.7.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.